Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.SplitOutputSettingData Class Reference

## Public Member Functions
| SplitOutputSettingData ()
| Constructor.
| SplitOutputSettingData (String output_folder_path, boolean add_before_or_after_orginal_name, String custom_name, String separator, boolean is_overwrite)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getAdd_before_or_after_orginal_name ()
| Get a boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. More...
String | getCustom_name ()
| Get a string value used to be added before or after the original PDF file name to generate a new file name. More...
boolean | getIs_overwrite ()
| Get a boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. More...
String | getOutput_folder_path ()
| Get a valid folder path for the PDF documents generated by splitting. More...
String | getSeparator ()
| Get a string value used to inserted between the original PDF file name and the custom name to generate a new file name. More...
void | set (String output_folder_path, boolean add_before_or_after_orginal_name, String custom_name, String separator, boolean is_overwrite)
| Set value. More...
void | setAdd_before_or_after_orginal_name (boolean value)
| Set a boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. More...
void | setCustom_name (String value)
| Set a string value used to be added before or after the original PDF file name to generate a new file name. More...
void | setIs_overwrite (boolean value)
| Set a boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. More...
void | setOutput_folder_path (String value)
| Set a valid folder path for the PDF documents generated by splitting. More...
void | setSeparator (String value)
| Set a string value used to inserted between the original PDF file name and the custom name to generate a new file name. More...

## Detailed Description

This class represents setting data used to set the name and directory of the PDF documents generated by splitting.

## Constructor & Destructor Documentation

## ◆ SplitOutputSettingData()

com.foxit.sdk.pdf.SplitOutputSettingData.SplitOutputSettingData | ( | String | output_folder_path,
|  | boolean | add_before_or_after_orginal_name,
|  | String | custom_name,
|  | String | separator,
|  | boolean | is_overwrite
| ) |  |

Constructor, with parameters.

Parameters

  [in] | output_folder_path | A valid folder path for the PDF documents generated by splitting. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.
  [in] | add_before_or_after_orginal_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.
  [in] | custom_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.
  [in] | separator | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.
  [in] | is_overwrite | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SplitOutputSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAdd_before_or_after_orginal_name()

com.foxit.sdk.pdf.SplitOutputSettingData.getAdd_before_or_after_orginal_name | ( |  | ) |

Get a boolean value is used to determine whether to add the custom name and number before or after the original PDF file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.

Returns
  A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: false.

## ◆ getCustom_name()

com.foxit.sdk.pdf.SplitOutputSettingData.getCustom_name | ( |  | ) |

Get a string value used to be added before or after the original PDF file name to generate a new file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.

Returns
  A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"".

## ◆ getIs_overwrite()

com.foxit.sdk.pdf.SplitOutputSettingData.getIs_overwrite | ( |  | ) |

Get a boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists.

true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

Returns
  A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: false.

## ◆ getOutput_folder_path()

com.foxit.sdk.pdf.SplitOutputSettingData.getOutput_folder_path | ( |  | ) |

Get a valid folder path for the PDF documents generated by splitting.

If the parameter split_doc_array of the called function SplitPDFDoc.startSplitByFileSize contains an object constructed using a constructor of SplitDocumentInfo with parameter file_reader or doc, then this value cannot be empty. Otherwise, this value can be empty. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.

Returns
  A valid folder path for the PDF documents generated by splitting.

## ◆ getSeparator()

com.foxit.sdk.pdf.SplitOutputSettingData.getSeparator | ( |  | ) |

Get a string value used to inserted between the original PDF file name and the custom name to generate a new file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.

Returns
  A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"".

## ◆ set()

void com.foxit.sdk.pdf.SplitOutputSettingData.set | ( | String | output_folder_path,
|  | boolean | add_before_or_after_orginal_name,
|  | String | custom_name,
|  | String | separator,
|  | boolean | is_overwrite
| ) |  |

Set value.

Parameters

  [in] | output_folder_path | A valid folder path for the PDF documents generated by splitting. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.
  [in] | add_before_or_after_orginal_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.
  [in] | custom_name | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.
  [in] | separator | The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.
  [in] | is_overwrite | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

Returns
  None.

## ◆ setAdd_before_or_after_orginal_name()

com.foxit.sdk.pdf.SplitOutputSettingData.setAdd_before_or_after_orginal_name | ( | boolean | value | ) |

Set a boolean value is used to determine whether to add the custom name and number before or after the original PDF file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. true means a custom name and number will be added before the original PDF file name. false means a custom name and number will be added after the original PDF file name.

Parameters

  [in] | value | A boolean value is used to determine whether to add the custom name and number before or after the original PDF file name. Default value: false.

Returns
  None.

## ◆ setCustom_name()

com.foxit.sdk.pdf.SplitOutputSettingData.setCustom_name | ( | String | value | ) |

Set a string value used to be added before or after the original PDF file name to generate a new file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the custom name. If this value is empty, it means that a custom name is not added to the original PDF file name to generate a new file name. If this value is not empty, it means that a custom name is added to the original PDF file name to generate a new file name.

Parameters

  [in] | value | A string value used to be added before or after the original PDF file name to generate a new file name. Default value: L"".

Returns
  None.

## ◆ setIs_overwrite()

com.foxit.sdk.pdf.SplitOutputSettingData.setIs_overwrite | ( | boolean | value | ) |

Set a boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists.

true means that when the PDF document generated by splitting exists, it will be overwritten. false means that when the PDF document generated by splitting exists, it will not be overwritten.

Parameters

  [in] | value | A boolean value used to indicate whether to overwrite the PDF document generated by splitting when the file already exists. Default value: false.

Returns
  None.

## ◆ setOutput_folder_path()

com.foxit.sdk.pdf.SplitOutputSettingData.setOutput_folder_path | ( | String | value | ) |

Set a valid folder path for the PDF documents generated by splitting.

If the parameter split_doc_array of the called function SplitPDFDoc.startSplitByFileSize contains an object constructed using a constructor of SplitDocumentInfo with parameter file_reader or doc, then this value cannot be empty. Otherwise, this value can be empty. If the value is empty, it means using the folder path of the original PDF document as the folder path for the PDF documents generated through splitting. If the value is not empty, it is used as the folder path for the PDF documents generated through splitting.

Parameters

  [in] | value | A valid folder path for the PDF documents generated by splitting.

Returns
  None.

## ◆ setSeparator()

com.foxit.sdk.pdf.SplitOutputSettingData.setSeparator | ( | String | value | ) |

Set a string value used to inserted between the original PDF file name and the custom name to generate a new file name.

The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name. This value represents the separator. If this value is empty, it means that the newly generated file name does not include a separator. If this value is not empty, it means that a separator is inserted between the original PDF file name and the custom name to generate a new file name.

Parameters

  [in] | value | A string value used to inserted between the original PDF file name and the custom name to generate a new file name. Default value: L"".

Returns
  None.